List webhook endpoint
curl --request GET \
--url https://api.anchorage-staging.com/v2/webhook/endpoints \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
"description": "Endpoint to receive transaction notifications.",
"createdAt": "2024-08-08T13:44:00.234524Z",
"updatedAt": "2024-08-08T13:44:00.234526Z",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
"url": "https://your-domain.com/transaction-webhooks"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Permissions required: Configure Webhooks
List all of your webhook endpoints.
GET
/
webhook
/
endpoints
List webhook endpoint
curl --request GET \
--url https://api.anchorage-staging.com/v2/webhook/endpoints \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
"description": "Endpoint to receive transaction notifications.",
"createdAt": "2024-08-08T13:44:00.234524Z",
"updatedAt": "2024-08-08T13:44:00.234526Z",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
"url": "https://your-domain.com/transaction-webhooks"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Minimum string length:
1Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?